<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 1/5/2018
 * Time: 12:34 AM
 */
include '../comun/validarSesion.php';

if (isset($_REQUEST['correo']) && isset($_REQUEST['clave'])) {
    $correo=$_REQUEST['correo'];
    $clave=$_REQUEST['clave'];
    $Valido = new validator();
    $id =$Valido->retornarId($correo);
    if ($Valido->Validar($correo,$clave)){
        if ($Valido->HasToken($id)){
            include '../comun/mensajeOk.php';
            $usuario = $Valido->retornarDatos($id);
            $data = array("message" => "Entrada exitosa","token" => $Valido->seeToken($id),"nombre" => $usuario["nombre"],"correo" => $usuario["correo"],"tipo_usuario" => $usuario["tipo_usuario"],"id" => $usuario["id"]);
            echo json_encode($data);
        }else{
            include '../comun/mensajeOk.php';
            $usuario = $Valido->retornarDatos($id);
            $data = array("message" => "Entrada exitosa","token" => $Valido->generateToken($id),"nombre" => $usuario["nombre"],"correo" => $usuario["correo"],"tipo_usuario" => $usuario["tipo_usuario"],"id" => $usuario["id"]);
            echo json_encode($data);
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeFaltanCampos.php';
}